PublicApiGetLearningActivity
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"activity": {
"items": [
{
"signalType": "<string>",
"reward": 123,
"weight": 123,
"arm": "treatment",
"head": "<string>",
"segmentKey": "<string>",
"instructionsVersion": 0,
"observedAt": "2023-11-07T05:31:56Z",
"maturedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 4503599627370495,
"nextCursor": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Learning
PublicApiGetLearningActivity
GET /api/v1/organizations//workspaces//campaigns//learning/activity
GET
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
campaigns
/
{campaignId}
/
learning
/
activity
PublicApiGetLearningActivity
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/activity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"activity": {
"items": [
{
"signalType": "<string>",
"reward": 123,
"weight": 123,
"arm": "treatment",
"head": "<string>",
"segmentKey": "<string>",
"instructionsVersion": 0,
"observedAt": "2023-11-07T05:31:56Z",
"maturedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 4503599627370495,
"nextCursor": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Response
Successful response
Show child attributes
Show child attributes